LINUX.ORG.RU

Как установить nvidia-driver из репозитория backports Debian 9. Как указать источник пакетов в apt-get и изменить «кандидата на установку»?

 , , , ,


0

1

uname -a

Linux PC 4.9.0-8-amd64 #1 SMP Debian 4.9.110-3+deb9u4 (2018-08-21) x86_64 GNU/Linux
cat /etc/apt/sources.list
#                                                                                                                                                                                                   
                                                                                                                                                                                                    
# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 NETINST 20180714-10:25]/ stretch main                                                                                                
                                                                                                                                                                                                    
#deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 NETINST 20180714-10:25]/ stretch main                                                                                                 
                                                                                                                                                                                                    
deb http://deb.debian.org/debian/ stretch main non-free contrib                                                                                                                                     
deb-src http://deb.debian.org/debian/ stretch main non-free contrib                                                                                                                                 
                                                                                                                                                                                                    
deb http://security.debian.org/debian-security stretch/updates main contrib non-free                                                                                                                
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free                                                                                                            
                                                                                                                                                                                                    
# stretch-updates, previously known as 'volatile'                                                                                                                                                   
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free                                                                                                                             
deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free                                                                                                                         

# stretch-backports, previously on backports.debian.org
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
deb-src http://deb.debian.org/debian/ stretch-backports main contrib non-free
apt-cache policy nvidia-driver
nvidia-driver:                                                                                                                                                                                      
  Установлен: (отсутствует)                                                                                                                                                                         
  Кандидат:   384.130-1                                                                                                                                                                             
  Таблица версий:                                                                                                                                                                                   
     390.77-1~bpo9+1 100                                                                                                                                                                            
        100 http://deb.debian.org/debian stretch-backports/non-free amd64 Packages                                                                                                                  
     384.130-1 500                                                                                                                                                                                  
        500 http://deb.debian.org/debian stretch/non-free amd64 Packages
apt-cache policy linux-image-amd64
linux-image-amd64:
  Установлен: 4.9+80+deb9u6
  Кандидат:   4.9+80+deb9u6
  Таблица версий:
     4.17+97~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
 *** 4.9+80+deb9u6 500
        500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
        100 /var/lib/dpkg/status
     4.9+80+deb9u5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
apt-cache policy linux-headers-amd64
linux-headers-amd64:
  Установлен: (отсутствует)
  Кандидат:   4.9+80+deb9u6
  Таблица версий:
     4.17+97~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
     4.9+80+deb9u6 500
        500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
     4.9+80+deb9u5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages

Или мне нужно:

  1. Установить linux-image-amd64 4.17 из backports
  2. Установить linux-headers-amd64 из backports
  3. Установить nvidia-driver из backports

Между всем этим мне нужно где-то перезагружаться, или выполнять apt-get update/apt-get upgrade?

Ответ на: комментарий от just_a_brake

Он и будет оставаться основным. Но если выполнишь команды выше, то поставится не основной кандидат, а тот, которого ты указал.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid

Он и будет оставаться основным. Но если выполнишь команды выше, то поставиться не основной кандидат, а тот, который ты указал.

Сейчас попробую. Мне нужно будет linux-image-amd64(ядро?) устанавливать из backport's я и правильно понимаю, что у меня уже есть backports репозиторий, поэтому мне их не нужно добавлять? И ещё apt-get dist-upgrade нигде не нужно будет выполнять?

just_a_brake ()